{% extends 'public/base.html.twig' %}

{% block body %}
<div class="container">
	<div id="site-wrap" class="row">
		<div id="box1" class="card mx-auto my-auto rounded-0">
			{% if app.user %}
				{% if DiscordAvatarHash %}
					<img src="https://cdn.discordapp.com/avatars/{{ DiscordId }}/{{ DiscordAvatarHash }}" style="width: 10em; margin: auto;">
					<br>
				{% endif %}
				<h1>
					Welcome back, {{ DiscordUsername }}!
				</h1>
				<br>
				<div class="row">
					<div class="col"></div>
						<a id="secnetButton" type="button" class="btn btn-primary col" href="{{ path("secnet/home") }}">
							<span>
								Enter SecNet
							</span>
						</a>
					<div class="col"></div>
				</div>
			{% else %}
				<h1>
				 Unnamed Arma Group
				</h1>
				<h3>
				 "No BS" <u>MILSIM</u>
				</h3>
			{% endif %}
			<!-- <div class="row">
				<div class="col"></div>
					<button id="discordButton" type="button" class="btn btn-primary col" onClick="discordClicked()">
						<img src="https://discordapp.com/assets/192cb9459cbc0f9e73e2591b700f1857.svg" />
					</button>
				<div class="col"></div>
			</div> -->
		</div>
	</div>
</div>
<script>
	function discordClicked() {
		console.log("Discord button clicked, doing shit...");

		window.open('https://uagpmc.com/discord', '_blank');

		console.log("Shit done, why are you still here?");
	}
</script>
{% endblock %}
